"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePubspecLock = void 0;
const logger_1 = require("../../../logger");
const schema_1 = require("./schema");
function parsePubspecLock(fileName, fileContent) {
    const res = schema_1.PubspecLockYaml.safeParse(fileContent);
    if (res.success) {
        return res.data;
    }
    else {
        logger_1.logger.debug({ err: res.error, fileName }, `Error parsing pubspec lockfile.`);
    }
    return null;
}
exports.parsePubspecLock = parsePubspecLock;
//# sourceMappingURL=utils.js.map